Rename, describe or move a team
PATCH
/v1/workspace/teams/{team_id}
const url = 'https://api.vocapable.com/v1/workspace/teams/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"name":"example","description":"example","department_id":"example","clear_department":false,"parent_team_id":"example","clear_parent":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.vocapable.com/v1/workspace/teams/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "name": "example", "description": "example", "department_id": "example", "clear_department": false, "parent_team_id": "example", "clear_parent": false }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”team_id
required
Team Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceTeamDetail
object
team
required
WorkspaceTeamSummary
object
id
required
Id
string
name
required
Name
string
member_count
required
Member Count
integer
lead_count
required
Lead Count
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
depth
Depth
integer
members
required
can_manage
required
Can Manage
boolean
Example
{ "team": { "depth": 1 }, "members": [ { "source": "manual", "status": "active", "is_primary": false } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}